#include "service.h"
#include <Ice/Ice.h>

class Service : public Demo::Service {
public:
    void foo(const Ice::Current& current)
    {
        printf("foo\n");
    }
};

class Application : public Ice::Application {
public:
    int run(int argc, char* argv[])
    {
        Ice::ObjectAdapterPtr adapter = \
           communicator()->createObjectAdapterWithEndpoints("ServiceAdapter", "tcp -h localhost -p 10000");

        Ice::ObjectPtr object = new Service();
        adapter->add(object, Ice::stringToIdentity("Service"));
        adapter->activate();

        communicator()->waitForShutdown();
        return 0;
    }
};


int main(int argc, char* argv[])
{
    return Application().main(argc, argv);
}   
