#include "service.h"
#include <Ice/Ice.h>
#include <string>
#include <stdio.h>

class Application : public Ice::Application {
public:
    int run(int argc, char* argv[])
    {
        Ice::PropertiesPtr properties = communicator()->getProperties();
        std::string endpoint1 = properties->getProperty("ServiceAdapter1.Endpoints");
        std::string endpoint2 = properties->getProperty("ServiceAdapter2.Endpoints");
        
        std::string proxyString = "Service:" + endpoint1 + ":" + endpoint2;
        Ice::ObjectPrx proxy = communicator()->stringToProxy(proxyString);
        Demo::ServicePrx service = Demo::ServicePrx::checkedCast(proxy);

        while(1) {
            service->foo();
            getchar();
        }

        return 0;
    }
};


int main(int argc, char* argv[])
{
    return Application().main(argc, argv);
}
