#include "service.h"
#include <Ice/Ice.h>
#include <string>
#include <stdio.h>

class Service : public Demo::Service {
public:
    void foo(const Ice::Current& current)
    {
        printf("foo\n");
    }
};

class Application : public Ice::Application {
public:
    int run(int argc, char* argv[])
    {
        assert(argc == 2);
        std::string serverNumber = argv[1];
        std::string adapterName = "ServiceAdapter" + serverNumber;
        std::cout << adapterName << std::endl;
        Ice::ObjectAdapterPtr adapter = communicator()->createObjectAdapter(adapterName);
        Ice::ObjectPtr object = new Service();
        adapter->add(object, Ice::stringToIdentity("Service"));
        adapter->activate();

        communicator()->waitForShutdown();
        return 0;
    }
};


int main(int argc, char* argv[])
{
    return Application().main(argc, argv);
}   
